The Database Upgrade wizard updates the schema of the VirtualCenter database. The Database Upgrade wizard runs after you complete the vCenter Server installation wizard.

When you perform an upgrade to vCenter Server, you must use a VirtualCenter 2.x database that is supported for upgrade by vCenter Server 4.0.

The Database Upgrade wizard runs after you click Install in the vCenter Server installer. The Database Upgrade wizard upgrades the database schema to make it compatible with vCenter Server 4.0. The schema defines the tables, the fields in each table, and the relationships between fields and tables.

If you are upgrading from VirtualCenter 2.5, the Database Upgrade wizard runs in the background. If you are upgrading from VirtualCenter 2.0.x, the Database Upgrade wizard appears and you must complete the wizard.

The Database Upgrade wizard does not upgrade an unsupported database version (for example, Oracle 9i) into a supported database.

Caution

You cannot use the updated database schema with previous versions of VirtualCenter. You cannot roll back the schema update. You must create a back up of your database before you upgrade your database and before you begin the upgrade to vCenter Server.